Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.atomikos.icatch.jaxb.wsat.v200410
Enum Outcome

    java.lang.Object
      java.lang.Enum<Outcome>
          com.atomikos.icatch.jaxb.wsat.v200410.Outcome

All Implemented Interfaces:
  Serializable, Comparable<Outcome>

    public enum Outcome

extends Enum<Outcome>

Java class for Outcome.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="Outcome">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="Commit"/>
         <enumeration value="Rollback"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`COMMIT`
`ROLLBACK`

Method Summary
`static Outcome` | `fromValue(String v)`
`String` | `value()`
`static Outcome` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Outcome[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMMIT

    public static final Outcome COMMIT

### ROLLBACK

    public static final Outcome ROLLBACK

Method Detail

### values

    public static final Outcome[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Outcome c : Outcome.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Outcome valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public String value()

### fromValue

    public static Outcome fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012. All Rights Reserved.